﻿﻿﻿// いろんなページからリネームするよ (watchRename+historyRename+α)
// totalRename.js 101002

// nlFilterで未定義の場合はここで定義する
if(typeof TR_VARS == 'undefined') var TR_VARS = {};

function TR_renameEntry(elem, smid) {
	elem.tr_title = (TR_VARS.REMOVE_INFO && !TR_VARS.watchElem) ? TR_getTitleText(elem) : "";
	TR_cacheAPI("tr_helper/get", smid, elem.tr_title, function(status_ok, res) {
		if(!status_ok) return;
		var result = "NG", flag = "", cached = "";
		if (res.match(/^(OK|RM)([ :])(.*)$/)) {
			result = RegExp.$1; flag = RegExp.$2; cached = RegExp.$3;
			if(cached.match(/^[ 　]*$/)) cached = "(NO TITLE)";
		}
		if (result == "NG" && TR_VARS.watchElem) {
			TR_VARS.newCache = true;
			var intr = TR_VARS.WATCH_INTERVAL;
			if(isNaN(intr)){ intr = 10000; }else{ intr *= 1000; }
			var player = $("flvplayer");
			if (player && typeof player.ext_getLoadedRatio == 'function') {
				if (TR_VARS.loaded) {
					if(smid.indexOf("low") != -1) return;
					smid += "low"; // エコノミーキャッシュかも？
				}
				var timer = setInterval(function() {
					try {
						if (player.ext_getLoadedRatio() == 1) {
							TR_VARS.loaded = true;
							clearInterval(timer);
							TR_renameEntry(elem, smid);
						}
					} catch (e) {}
				}, intr / 10);
			} else {
				setTimeout(function(){ TR_renameEntry(elem, smid) }, intr);
			}
		} else if (result == "OK" && cached != "") {
			var rmbtn = null;
			if (TR_VARS.watchElem) {
				TR_watchPageProc(elem, smid, cached);
			} else {
				TR_setTitleText(elem, cached);
				if (TR_VARS.REMOVE_BUTTON)
					rmbtn = TR_setRemoveButton(elem, smid, flag==":");
				if ((TR_VARS.CMP_TITLE || TR_VARS.rankingMode) && elem.tagName == 'A')
					TR_cmpTitle(elem, '#00C000', '#C00000', elem.tr_title);
			}
			TR_setTitleEvent(elem, smid, rmbtn, TR_chTitle);
		} else if (result == "RM" && cached != "" && TR_VARS.REMOVE_INFO) {
			// "タイトルを置換"なら現タイトルをポップアップ
			if(elem.tagName == 'A') elem.title = elem.tr_title;
			TR_setTitleText(elem, cached);
			TR_setTitleEvent(elem, smid, null, TR_chReason);
		}
		if (TR_VARS.rankingMode) {
			TR_modifyRankingThumb(elem, smid, cached||elem.tr_title, result=="RM");
		}
	}, TR_VARS.watchElem != null);
}

function TR_cacheAPI(name, smid, title, callback, nocache) {
	var storageKey = null;
	if (window.sessionStorage && TR_VARS.API_CACHE) {
		storageKey = "TR_cacheAPI_get_" + smid;
		if (name == "tr_helper/get" && !nocache) {
			var value = sessionStorage.getItem(storageKey);
			if (value && typeof callback == 'function') {
				callback(true, value); return;
			}
		} else {
			sessionStorage.removeItem(storageKey);
			storageKey = null;
		}
	}
	var param = "";
	if (title) {
		 param = title.replace(/%/g,"%25").replace(/#/g,"%23");
		 param = "-" + encodeURIComponent(param);
	}
	new Ajax.Request("/cache/"+name, {
		method: 'GET', parameters: smid+param, onComplete: function(r) {
			// sessionStorageをサポートしていればgetの結果をキャッシュする
			if (storageKey != null)
				sessionStorage.setItem(storageKey, r.responseText);
			if (typeof callback == 'function')
				callback(r.status==200, r.responseText);
			if (r.status != 200)
				window.status = "cacheAPI("+name+") failed: smid="+smid+" status="+r.status;
		}
	});
}

function TR_watchPageProc(elem, smid, cache_title) {
	// 削除動画ならタイトルの末尾に[削除]タグを付ける
	if (window.Video && Video.isDeleted) {
		if (TR_VARS.DELETED_TAG) {
			if (!cache_title.match(/削除\]$/)) {
				var tag_start = " [";
				var del_msg = $("deleted_message_default");
				if (del_msg) {
					if (del_msg.innerHTML.match(/権利|テレビ|著作権/))
						tag_start += "権利者";
					else if (del_msg.innerHTML.match(/管理者により削除/))
						tag_start += "管理者";
					// クリプトンとの一件で無くなったかな？
					else if (del_msg.innerHTML.match(/利用規約/))
						tag_start += "規約違反";
				}
				cache_title += tag_start + "削除]";
				TR_cacheAPI("ajax_title", smid, cache_title);
			}
		}
		if (TR_VARS.DELETED_MOVE) {
			TR_cacheAPI("ajax_topmove", smid+"-deleted");
		}
	}
	// hrefがスクリプトなら実行(autoTabCloseとか)
	var script = "";
	if (elem.href && elem.href.indexOf("javascript:") == 0) {
		script = elem.href.substring(11);
		// thisのままevalするとこの関数を指してしまうのでelemに置き換える
		if (script.match(/(^|.*[^\w])this([^\w].*)$/)) {
			script = RegExp.$1 + "elem" + RegExp.$2;
		}
	}
	TR_setTitleText(elem, cache_title);
	try{ eval(script) }catch(e){ window.status = "EVAL ERROR! "+script }
}

function TR_getText(elem) {
	// undefinedが返るのでTry.these()は使えない
	if (elem.textContent != undefined)
		return elem.textContent;
	else if (elem.innerText != undefined)
		return elem.innerText;
	return elem.innerHTML.stripTags().unescapeHTML();
}

function TR_getTitleText(elem) {
	var title = TR_getText(elem);
	try {
		if (!title && elem.nextSibling) // タイトル前に追加の場合
			title = TR_getText(elem.nextSibling.firstChild);
	} catch (e) {}
	return title;
}

function TR_setTitleText(elem, title) {
	if (elem.textContent != undefined)
		elem.textContent = title;
	else if (elem.innerText != undefined)
		elem.innerText = title;
	else
		elem.innerHTML = title;
	if (elem.href) {
		elem.tr_href = elem.href;
		elem.removeAttribute('href');
	}
	if (window.TR_nowrapWidth) {
		var width = TR_nowrapWidth;
		if (elem.TR_removeButtonWidth) {
			width -= elem.TR_removeButtonWidth;
		}
		Element.setStyle(elem, {
			display: 'block',
			padding: '0 4px',
			overflow: 'hidden',
			whiteSpace: 'nowrap',
			width: width + 'px'
		});
	}
}

function TR_setTitleEvent(elem, smid, rmbtn, chfunc) {
	if (smid) {
		elem.tr_onclickfunc = function(e) {
			var e = e || window.event;
			if (e.ctrlKey)
				document.location = elem.tr_href; // CTRLキー押下なら元リンク先へ
			else
				TR_viewTitleBox(elem,1,smid,rmbtn,chfunc);
		}
		elem.tr_ondblclickfunc = function(){ TR_viewTitleBox(elem,2,smid,rmbtn,chfunc) }
		elem.observe('click',    elem.tr_onclickfunc   );
		elem.observe('dblclick', elem.tr_ondblclickfunc);
	} else {
		elem.stopObserving('click',    elem.tr_onclickfunc   );
		elem.stopObserving('dblclick', elem.tr_ondblclickfunc);
		elem.tr_onclickfunc    = null;
		elem.tr_ondblclickfunc = null;
	}
}

function TR_cmpTitle(elem, diff_color, same_color, current) {
	if (!current && window.Video)
		current = Video.title;
	var cached  = TR_getTitleText(elem);
	// まず、タイトルに残っていそうな実体参照を元に戻す(ブラウザが変換しない場合とか)
	current = current.replace(/&quot;/g, '"').replace(/&amp;/g, "&")
			.replace(/&lt;/g, "＜").replace(/&gt;/g, "＞");
	// 次に、問題のある文字は無視する(ファイル名に使えないものとか)
	var IGNORES = [ '"','*','/',':','<','>','?','\\','|','\u002e','\u2212','\u301c' ];
	var different = false;
	if (current.length != cached.length) {
		// タイトルが省略されている場合はその直前までの比較とする
		if (current.lastIndexOf("...") == current.length - 3) {
			current = current.substring(0, current.length - 3);
		} else {
			if(window.console) console.log(current + "\n" + cached);
			different = true;
		}
	}
	if (!different) {
		for (var i = 0; i < current.length; i++) {
			var c1 = current.charAt(i), c2 = cached.charAt(i);
			var ignore = false;
			for (var j = 0; j < IGNORES.length; j++) {
				if(c1 == IGNORES[j]){ ignore = true; break; }
			}
			if (!ignore && c1 != c2) {
				if (window.console) {
					console.log(current + "\n" + cached);
					console.log(i + ": " +
						"current='"+c1+"'(\\u"+current.charCodeAt(i).toString(16)+")"+
						" cached='"+c2+"'(\\u"+ cached.charCodeAt(i).toString(16)+")");
				}
				different = true; break;
			}
		}
	}
	elem.style.color = different ?
		(diff_color || diff_color=='') ? diff_color : '#00C000' :
		(same_color || same_color=='') ? same_color : '#C00000';
}

// タイトルをクリックした時にテキストボックスにする
function TR_viewTitleBox(elem, type, smid, rmbtn, chfunc) {
	// 1:シングルクリック 2:ダブルクリック
	if (TR_VARS.DOUBLE_CLICK ? type == 2 : type == 1) {
		var title = TR_getTitleText(elem);
		var input = document.createElement('INPUT');
		input.type  = 'text';
		input.value = title;
		input.style.margin = '0px';
		if(chfunc == TR_chTitle)  input.title = "空欄でデフォルト";
		if(chfunc == TR_chReason) input.title = "空欄で削除履歴をクリア";
		// このくらいで殆どのタイトルは収まるはず
		input.style.width = TR_VARS.watchElem ? '35em' : '100%';
		Event.observe(input, 'blur', function(){ chfunc(elem,input,title,smid,rmbtn) });
		if (Prototype.Browser.IE) {
			// IEの場合は改行を無視してsubmitしないようにする(Firefoxは元から改行無視)
			Event.observe(input, 'keydown', function(e) {
				if(e.keyCode == Event.KEY_RETURN) e.returnValue = false;
			}, true);
		}
		if(rmbtn) rmbtn.hide();
		elem.replaceChild(input, elem.firstChild);
		TR_setTitleEvent(elem, null);
		Field.activate(input);
	}
}

function TR_chTitle(elem, textbox, old_title, smid, rmbtn) {
	var new_title = textbox.value;
	if (new_title == old_title) {
		TR_setTitleText(elem, new_title);
	} else {
		function change_title() {
			TR_cacheAPI("ajax_title", smid, new_title, function(status_ok, res) {
				if (status_ok && res.indexOf("OK ") == 0) {
					TR_setTitleText(elem, res.substring(3));
				} else {
					window.alert("変更失敗！");
					TR_setTitleText(elem, old_title);
				}
			});
		}
		if (new_title == "") {
			// ページ上にタイトルがある場合はそちらから取得
			if (window.Video && Video.title) {
				new_title = Video.title;
			} else if (elem.tr_title) {
				new_title = elem.tr_title;
			}
			if (new_title.lastIndexOf("...") == new_title.length - 3)
				new_title = ""; // タイトルが省略されているならAPIで取得
		}
		if (!new_title) {
			// 起動中のnlにwatchページを通しているとキャッシュされるのでニコ動APIで直接取得
			new Ajax.Request("/api/getthumbinfo/"+smid, {
				method: 'GET', onComplete: function(r) {
					if (r.status == 200) {
						if (r.responseText.match(/<title>(.+?)<\/title>/)) {
							new_title = RegExp.$1.unescapeHTML().replace(/&apos;/g,"'");
							if(new_title.match(/^　\s*$/)) new_title = "(NO TITLE)";
						} else {
							new_title = ""; // 失敗したらnl本体に任せる(削除された動画とか)
						}
						change_title();
						if(TR_VARS.shortMode) elem.style.color = '#C00000';
					} else {
						window.alert("タイトル取得失敗！");
						TR_setTitleText(elem, old_title);
					}
				}
			});
		} else { change_title() }
	}
	if(rmbtn) rmbtn.show();
	TR_setTitleEvent(elem, smid, rmbtn, TR_chTitle);
}

function TR_chReason(elem, textbox, old_reason, smid) {
	var new_reason = textbox.value;
	if (new_reason != old_reason) {
		if (new_reason != "") {
			if (!new_reason.match(/^[A-Z]+: /))
				new_reason = "REASON: " + new_reason;
			TR_cacheAPI("tr_helper/set", smid, new_reason);
		} else {
			TR_cacheAPI("tr_helper/clear", smid);
		}
	}
	if (elem) {
		if (new_reason != "") {
			TR_setTitleText(elem, new_reason);
			TR_setTitleEvent(elem, smid, null, TR_chReason);
		} else {
			TR_setTitleText(elem, elem.tr_title);
		}
	}
};

function TR_setRemoveButton(elem, smid, disabled) {
	var table  = document.createElement('TABLE');
	var button = document.createElement('INPUT');
	table.cellpadding = 0;
	table.cellspacing = 0;
	table.className   = "TR_cacheTitle";
	table.title       = "キャッシュタイトル";
	table.width       = '100%';
	button.type       = 'submit';
	button.className  = 'submit';
	button.title      = "キャッシュを削除します";
	button.style.fontSize = elem.style.fontSize;
	button.style.padding  = '2px';
	if (TR_VARS.shortMode) {
		table.style.wordBreak = 'break-all';
		button.value = "削";
	} else {
		button.value = "キャッシュ削除";
		// IEだけ妙に余白が大きいので幅を指定する
		if(Prototype.Browser.IE){ button.style.width = "7em" }
	}
	Event.observe(button, 'click', function() {
		TR_cacheAPI("tr_helper/rm", smid, null, function(status_ok, res) {
			if (status_ok && res == "OK") {
				TR_getCacheIcon(table, true);
				table.parentNode.removeChild(table);
				table = null;
			} else {
				window.alert("削除失敗！");
			}
		});
	});
	if(disabled) button.disabled = true;
	elem.parentNode.style.margin = '0px';
	elem.parentNode.replaceChild(table, elem);
	var row = table.insertRow(-1);
	row.insertCell(-1).appendChild(elem);
	row.insertCell(-1).appendChild(button);
	row.firstChild.style.width = '100%';
	if (window.TR_nowrapWidth) {
		elem.TR_removeButtonWidth = Element.getDimensions(button).width + 8;
		var width = TR_nowrapWidth - elem.TR_removeButtonWidth;
		Element.setStyle(elem, { width: width + 'px' });
	}
	return button;
}

function TR_getCacheIcon(elem, remove) {
	var icon = null, tr = elem.parentNode;
	while (tr.tagName != 'TR') {
		tr = tr.parentNode; if(!tr) return null;
	}
	var imgs = tr.getElementsByTagName('IMG');
	for (var i = 0; i < imgs.length; i++) {
		if (imgs[i].src.indexOf("/local/cache") > -1) {
			if (remove) {
				imgs[i].parentNode.removeChild(imgs[i]);
				imgs[i] = null;
				var links = tr.getElementsByTagName('A');
				for (var j = 0; j < links.length; j++)
					links[j].style.color = '';
			}
			icon = imgs[i];
		}
	}
	return icon;
}

function TR_getVideoId(elem, smid) {
	function get_smid(str) {
		return (str && str.match(/watch\/([a-z]{2}\d+)/)) ? RegExp.$1 : str;
	}
	smid = get_smid(smid);
	if (!smid) {
		var frm = TR_getThumbFrm(elem);
		if (frm.innerHTML.match(/<span[^>]*>([a-z]{2}\d+)<\/span>/))
			smid = RegExp.$1
		else
			smid = get_smid(frm.innerHTML);
	}
	if (smid) {
		var icon = TR_getCacheIcon(elem);
		if (icon && icon.src.indexOf("/local/cacheeconomy") > -1)
			smid += "low";
	}
	return smid;
}

function TR_getThumbFrm(elem, sibling) {
	while (elem) {
		if (elem.className && elem.className.indexOf("thumb_frm") > -1)
			break;
		elem = sibling ? elem.nextSibling : elem.parentNode;
	}
	return $(elem);
}

TR_VARS.HIDE_FRAME_TMPL = new Template(
	'<table width="648" border="0" cellspacing="0" cellpadding="0" summary="">' +
	'<tr valign="bottom">' +
	'<td style="width:56px;" align="right">' +
		'<span style="font-size:14px; font-weight:bold;">#{count}</span></td>' +
	'<td style="padding:0 4px;">' +
		'<span style="font-size:12px; font-weight:bold;">#{smid}</span> ' +
		'<a id="tr_tg2#{smid}" href="javascript:void(0)" style="font-size:10px;">表示</a></td>' +
	'<td style="width:484px">' +
		'<p class="font12"><span id="tr_el2#{smid}"' +
			(!window.popThumb ? '' :
				' onMouseOver="return popThumb(\'thumb/#{smid}\',0)" onMouseOut="return nd()"') +
			'>#{title}</span></p></td>' +
	'</tr></table>');

function TR_modifyRankingThumb(elem, smid, title, hide) {
	if (smid.lastIndexOf("low") == smid.length - 3)
		smid = smid.substring(0, smid.length - 3);
	var orig_frm = TR_getThumbFrm(elem.parentNode);
	var hide_frm = $(orig_frm.cloneNode(false));
	hide_frm.id = orig_frm.id + "_hide";
	hide_frm.update(TR_VARS.HIDE_FRAME_TMPL.evaluate({smid:smid, title:title,
		count:TR_getText(orig_frm.getElementsByClassName("list_count")[0])}));
	orig_frm.parentNode.appendChild(hide_frm);
	var cached = orig_frm.innerHTML.indexOf("/local/cache") != -1;
	if (hide || (cached && TR_VARS.RM_HIDE_CACHED)) {
		orig_frm.hide();
		if (!cached) {
			var uad_elem = $(orig_frm.id + "_uad_current");
			if(uad_elem){ uad_elem.parentNode.removeChild(uad_elem) }
		}
	} else { hide_frm.hide() }
	
	var tr_tg1 = $("tr_tg1"+smid), tr_tg2 = $("tr_tg2"+smid), tr_el2 = $("tr_el2"+smid);
	var tg_func = function() {
		if (orig_frm.visible()) {
			orig_frm.hide(); hide_frm.show();	// "無視"押下時
			var reason = (title.match(/^[A-Z]+: /)) ? title : "IGNORE: " + title;
			TR_cacheAPI("tr_helper/set", smid, reason);
			TR_setTitleText(tr_el2, reason);
		} else {
			hide_frm.hide(); orig_frm.show();	// "表示"押下時
			TR_cacheAPI("tr_helper/clear", smid);
		}
		TR_dispRankingUad(orig_frm, !orig_frm.visible());
	}
	if(tr_tg1) tr_tg1.observe('click', tg_func); // "無視"リンクは無い場合があるので
	tr_tg2.observe('click', tg_func);
	tr_el2.observe('click', function(){ TR_viewTitleBox(tr_el2,1,smid,null,TR_chReason) });
	tr_el2.tr_title = elem.tr_title;
	if(cached) tr_el2.style.color = '#C00000';
}

function TR_setRankingHideCached() {
	var append_elem = $("ranking-name");
	if(!append_elem) return;
	var button = document.createElement('INPUT');
	button.type      = 'submit';
	button.className = 'submit';
	function set_button_label() {
		var hide = TR_VARS.RM_HIDE_CACHED;
		button.value = "キャッシュ済みを" + (hide ? "表示" : "隠す");
		button.title = "既にキャッシュ済みのフレームを" + (hide ? "表示します" : "隠します");
	}
	set_button_label();
	Event.observe(button, 'click', function() {
		TR_VARS.RM_HIDE_CACHED = button.value.indexOf("隠す") != -1;
		document.getElementsByClassName("historyRename").each(function(elem) {
			var orig_frm = TR_getThumbFrm(elem);
			if(!orig_frm || orig_frm.innerHTML.indexOf("/local/cache") < 0) return;
			var hide_frm = TR_getThumbFrm(orig_frm.nextSibling, true);
			if(!hide_frm) return;
			if (TR_VARS.RM_HIDE_CACHED) {
				orig_frm.hide(); hide_frm.show();
			} else {
				hide_frm.hide(); orig_frm.show();
			}
		});
		set_button_label();
	});
	append_elem.appendChild(button);
	append_elem.style.whiteSpace = 'nowrap';
}

function TR_dispRankingUad(frm, hide) {
	var uad_elem  = $(frm.id + "_uad_current");
	var uad_level = $(frm.id + "_uad_level");
	if(!uad_elem || uad_level.innerHTML == "") return;
	if(hide){ uad_elem.hide() }else{ uad_elem.show() }
}

TR_VARS.REMOVE_CACHE_TMPL = new Template(
	'<div class="headmenu_g" style="right:0;">' +
	'<table><tr><td nowrap><span style="color:#FFF;">削除成功！</span>' +
	'<input type="text" id="tr_reason" value="#{reason}" style="width:200px;"' +
	' title="削除理由">' +
	'<input type="button" class="submit" id="tr_reason_submit" value="OK"' +
	' title="削除理由を更新して閉じます">' +
	'</td></tr></table>' +
	'</div>');

function TR_removeCache(elem, smid) {
	var callback = function(status_ok, res) {
		if (status_ok && res.match(/^RM (.+)$/)) {
			var reason = RegExp.$1;
			var div = $(document.createElement('DIV')); // IE対策
			div.id = 'tr_remove';
			div.style.position = 'relative';
			div.onmouseover = function(){ showOBJ('tr_remove'); return false; }
			div.update(TR_VARS.REMOVE_CACHE_TMPL.evaluate({reason:reason}));
			$('nlbar').parentNode.appendChild(div);
			$('tr_reason').select();
			$('tr_reason_submit').onclick = function() {
				TR_chReason(null, $('tr_reason'), reason, smid);
				$('tr_remove').hide();
			}
		} else {
			window.alert("削除理由の取得失敗！");
		}
	}
	TR_cacheAPI("tr_helper/rm", smid, null, function(status_ok, res) {
		if (status_ok && res == "OK") {
			TR_cacheAPI("tr_helper/get", smid, null, callback);
			$(elem).hide();
		} else {
			window.alert("削除失敗！");
		}
	});
}

//autopager_mod.jsから呼び出すためにhistoryRename部分を関数化
function TR_historyRename(target) {
	var elems = document.getElementsByClassName("historyRename", target);
	var elems_max = TR_VARS.MAX_ENTRIES || 500;
	if (elems.length > elems_max) {
		window.alert("[totalRename]\n" +
			" 対象件数が多いので処理を中止しました ("+elems.length+" > "+elems_max+")");
	} else {
		var count = 0;
		function delayed_rename_entry(elem) {
			setTimeout(function() { // API呼び出しを遅延させる
				TR_renameEntry(elem, TR_getVideoId(elem, elem.id));
			}, ++count * 25);
		}
		// キャッシュからの検索結果を後回しで処理する
		var cache_results = [];
		elems.each(function(elem) {
			if (elem.hasClassName("cacheResultTitle")) {
				cache_results.push(elem);
			} else {
				delayed_rename_entry(elem);
			}
		});
		$(cache_results).each(delayed_rename_entry);
	}
}

//-----------------------------------------------------------------------------
// 実行部分
//-----------------------------------------------------------------------------
(function() {
	function on_ready(ready_func, wait) {
		function wait_func() {
			if (wait) {
				setTimeout(ready_func, (TR_VARS.INITIAL_WAIT || 0) * 1000);
			} else { ready_func() }
		}
		if(window.Nico){ Nico.onReady(wait_func) }else{ wait_func() }
	}
	if (document.location.pathname.match(/^\/watch\/(\w{2}\d+)/)) {
		var smid = RegExp.$1;
		// watchページの場合は id="watchRename" の要素が対象
		if (TR_VARS.watchElem = $("watchRename")) {
			smid = TR_getVideoId(TR_VARS.watchElem, window.Video.id);
			if ($("TR_ownerName")) {
				// ヘルパーExtensionでアクセス先をnicovideo→smilevideoに書き換えている
				new Ajax.Request("/allegation/allegation/"+smid.substring(2)+"/", {
					method: 'GET', onComplete: function(r) {
						var m = r.responseText.match(
								/(<strong>.+?<\/strong>)\s+が投稿した動画/);
						if(m) $("TR_ownerName").update(m[1]);
					}
				});
			}
		} else {
			// 規約違反削除や動画エラー等の場合
			var del_elem = $("deleted_message_default");
			if (!del_elem) {
				var h1 = document.getElementsByTagName('H1')[0];
				var mes = h1 && h1.innerHTML.stripTags();
				if (mes == "お探しの動画は再生できません")
					del_elem = h1;
			}
			if(del_elem) {
				TR_VARS.watchElem = document.createElement('DIV');
				del_elem.parentNode.appendChild(TR_VARS.watchElem);
			}
		}
		if (TR_VARS.watchElem) {
			if(!window.Video) window.Video = { isDeleted: true };
			on_ready(function(){ TR_renameEntry(TR_VARS.watchElem, smid) }, true);
		}
	} else {
		// 対象が複数あるページの場合は class="historyRename",id="<smid>" の要素が対象
		var path = document.location.pathname;
//		if (!path.match(/^\/(history|mylist\/\d+|my\/mylist|ranking)/))
			TR_VARS.shortMode = true;
		if (TR_VARS.REMOVE_INFO && TR_VARS.RANKING_MODE && path.indexOf("/ranking/") == 0)
			TR_VARS.rankingMode = true;
		if (path.match(/^\/(mylist\/\d+|my\/mylist)/) && window.jQuery) {
			var mylist_body = jQuery("#SYS_box_mylist_body");
			if (mylist_body) {
				var prev_count = -1, timer;
				function mylist_on_ready() {
					var page_items = $("SYS_page_items");
					if (page_items) {
						if (prev_count == page_items.childElementCount) {
							clearInterval(timer);
							TR_historyRename($("SYS_box_mylist_body"));
						} else {
							prev_count = page_items.childElementCount;
						}
					}
				}
				mylist_body.nicoPageChanged(function() {
					timer = setInterval(mylist_on_ready, 100);
				});
			}
		} else {
			on_ready(function() {
				TR_historyRename(document);
				if(TR_VARS.rankingMode) TR_setRankingHideCached();
			}, TR_VARS.rankingMode);
		}
	}
})();